Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | Protected Member Functions | Private Attributes | List of all members
ezpMvcConfiguration Class Reference
Inheritance diagram for ezpMvcConfiguration:

## Public Member Functions
| __construct ( $responseWriterClass=null)
| createFatalRedirectRequest (ezcMvcRequest $request, ezcMvcResult $result, Exception $e)
| createRequestParser ()
| createResponseWriter (ezcMvcRoutingInformation $routeInfo, ezcMvcRequest $request, ezcMvcResult $result, ezcMvcResponse $response)
| createRouter (ezcMvcRequest $request)
| createView (ezcMvcRoutingInformation $routeInfo, ezcMvcRequest $request, ezcMvcResult $result)
| runPreRoutingFilters (ezcMvcRequest $request)
| runRequestFilters (ezcMvcRoutingInformation $routeInfo, ezcMvcRequest $request)
| runResponseFilters (ezcMvcRoutingInformation $routeInfo, ezcMvcRequest $request, ezcMvcResult $result, ezcMvcResponse $response)
| runResultFilters (ezcMvcRoutingInformation $routeInfo, ezcMvcRequest $request, ezcMvcResult $result)

## Public Attributes
const | FILTER_TYPE_PREROUTING = 'PreRouting'
const | FILTER_TYPE_REQUEST = 'Request'
const | FILTER_TYPE_RESULT = 'Result'
const | FILTER_TYPE_RESPONSE = 'Response'
const | INDEX_FILE = 'index_rest.php'
| $apiPrefix

## Protected Member Functions
| runCustomFilters ( $type, array $filterParams)
| handleFilterException ( $request, Exception $e)

## Private Attributes
| $responseWriterClass

## Detailed Description

Definition at line 11 of file mvc_configuration.php.

## Constructor & Destructor Documentation

## ◆ __construct()

ezpMvcConfiguration::__construct | ( |  | $responseWriterClass = `null` | ) |

Definition at line 27 of file mvc_configuration.php.

References $responseWriterClass.

## Member Function Documentation

## ◆ createFatalRedirectRequest()

ezpMvcConfiguration::createFatalRedirectRequest | ( | ezcMvcRequest | $request,
|  | ezcMvcResult | $result,
|  | Exception | $e
| ) |  |

Definition at line 33 of file mvc_configuration.php.

## ◆ createRequestParser()

ezpMvcConfiguration::createRequestParser | ( |  | ) |

Definition at line 42 of file mvc_configuration.php.

References eZSys\indexDir().

## ◆ createResponseWriter()

ezpMvcConfiguration::createResponseWriter | ( | ezcMvcRoutingInformation | $routeInfo,
|  | ezcMvcRequest | $request,
|  | ezcMvcResult | $result,
|  | ezcMvcResponse | $response
| ) |  |

Definition at line 54 of file mvc_configuration.php.

References $response.

## ◆ createRouter()

ezpMvcConfiguration::createRouter | ( | ezcMvcRequest | $request | ) |

Definition at line 60 of file mvc_configuration.php.

## ◆ createView()

ezpMvcConfiguration::createView | ( | ezcMvcRoutingInformation | $routeInfo,
|  | ezcMvcRequest | $request,
|  | ezcMvcResult | $result
| ) |  |

Definition at line 65 of file mvc_configuration.php.

References $result, ezpRestPrefixFilterInterface\getApiProviderName(), and ezpRestProvider\getProvider().

## ◆ handleFilterException()

ezpMvcConfiguration::handleFilterException | ( |  | $request,
|  | Exception | $e
| ) |  |
| protected

Definition at line 186 of file mvc_configuration.php.

## ◆ runCustomFilters()

ezpMvcConfiguration::runCustomFilters | ( |  | $type,
|  | array | $filterParams
| ) |  |
| protected

Definition at line 149 of file mvc_configuration.php.

References $type.

Referenced by runPreRoutingFilters(), runRequestFilters(), runResponseFilters(), and runResultFilters().

## ◆ runPreRoutingFilters()

ezpMvcConfiguration::runPreRoutingFilters | ( | ezcMvcRequest | $request | ) |

Definition at line 73 of file mvc_configuration.php.

References eZExtension\getHandlerClass(), and runCustomFilters().

## ◆ runRequestFilters()

ezpMvcConfiguration::runRequestFilters | ( | ezcMvcRoutingInformation | $routeInfo,
|  | ezcMvcRequest | $request
| ) |  |

Definition at line 99 of file mvc_configuration.php.

References runCustomFilters().

## ◆ runResponseFilters()

ezpMvcConfiguration::runResponseFilters | ( | ezcMvcRoutingInformation | $routeInfo,
|  | ezcMvcRequest | $request,
|  | ezcMvcResult | $result,
|  | ezcMvcResponse | $response
| ) |  |

Definition at line 118 of file mvc_configuration.php.

References $response, $result, and runCustomFilters().

## ◆ runResultFilters()

ezpMvcConfiguration::runResultFilters | ( | ezcMvcRoutingInformation | $routeInfo,
|  | ezcMvcRequest | $request,
|  | ezcMvcResult | $result
| ) |  |

Definition at line 134 of file mvc_configuration.php.

References $result, and runCustomFilters().

## Member Data Documentation

## ◆ $apiPrefix

ezpMvcConfiguration::$apiPrefix

Definition at line 23 of file mvc_configuration.php.

## ◆ $responseWriterClass

ezpMvcConfiguration::$responseWriterClass
| private

Definition at line 25 of file mvc_configuration.php.

Referenced by __construct().

## ◆ FILTER_TYPE_PREROUTING

const ezpMvcConfiguration::FILTER_TYPE_PREROUTING = 'PreRouting'

Definition at line 13 of file mvc_configuration.php.

## ◆ FILTER_TYPE_REQUEST

const ezpMvcConfiguration::FILTER_TYPE_REQUEST = 'Request'

Definition at line 14 of file mvc_configuration.php.

## ◆ FILTER_TYPE_RESPONSE

const ezpMvcConfiguration::FILTER_TYPE_RESPONSE = 'Response'

Definition at line 16 of file mvc_configuration.php.

## ◆ FILTER_TYPE_RESULT

const ezpMvcConfiguration::FILTER_TYPE_RESULT = 'Result'

Definition at line 15 of file mvc_configuration.php.

## ◆ INDEX_FILE

const ezpMvcConfiguration::INDEX_FILE = 'index_rest.php'

Definition at line 18 of file mvc_configuration.php.

The documentation for this class was generated from the following file:

- mvc_configuration.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.